com.google.gwt.user.cellview.client

## Class CellTree.NodeAnimation

- java.lang.Object
- - com.google.gwt.animation.client.Animation
  - - com.google.gwt.user.cellview.client.CellTree.NodeAnimation

Direct Known Subclasses:
  CellTree.RevealAnimation

Enclosing class:
  CellTree

    public abstract static class CellTree.NodeAnimation
    extends Animation

A node animation.

### Constructor Summary

Constructors
Constructor and Description
`NodeAnimation()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`(package private) abstract void` `animate(CellTreeNodeView<?> node, boolean isAnimationEnabled)` Animate a tree node into its new state.
`int` `getDuration()` Return the duration of the animation in milliseconds.
`void` `setDuration(int duration)` Set the duration of the animation in milliseconds.

### Methods inherited from class com.google.gwt.animation.client.Animation

`cancel, interpolate, isRunning, onCancel, onComplete, onStart, onUpdate, run, run, run, run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NodeAnimation

    NodeAnimation()

### Method Detail

#### getDuration

    public int getDuration()

Return the duration of the animation in milliseconds.

See Also:
  `setDuration(int)`

#### setDuration

    public void setDuration(int duration)

Set the duration of the animation in milliseconds.

Parameters:
  `duration` - the duration in milliseconds
See Also:
  `getDuration()`

#### animate

    abstract void animate(CellTreeNodeView<?> node,
                          boolean isAnimationEnabled)

Animate a tree node into its new state.

Parameters:
  `node` - the node to animate
  `isAnimationEnabled` - true to animate